Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class BetweenLocation

    java.lang.Object
      org.biojava.bio.symbol.AbstractLocationDecorator
          org.biojava.bio.symbol.BetweenLocation

All Implemented Interfaces:
  Location

    public class BetweenLocation

extends AbstractLocationDecorator

Between view onto an underlying Location instance.

Since:
  1.2
Author:
  Matthew Pocock, Greg Cox

Field Summary

Fields inherited from interface org.biojava.bio.symbol.Location
`empty, full, naturalOrder`

Constructor Summary
`BetweenLocation(Location wrapped)`

Method Summary
`protected Location` | `decorate(Location loc)`

Methods inherited from class org.biojava.bio.symbol.AbstractLocationDecorator
`blockIterator, contains, contains, equals, getDecorator, getMax, getMin, getWrapped, intersection, isContiguous, newInstance, overlaps, symbols, translate, union`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BetweenLocation

    public BetweenLocation(Location wrapped)

Method Detail

### decorate

    protected Location decorate(Location loc)

  Specified by:
    `decorate` in class `AbstractLocationDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD